<bugID>917760<Summary>Australis: having a download finish while in customize mode breaks the world</Summary><Description>STR:

1. Start a download that'll take a bit to download on your connection
2. Open Customize Mode
3. Wait for it to finish
4. Exit customize Mode

ER:

Nothing special

AR:

The menupanel button stays disabled. Errors in console:

Argument 1 of node.replaceChild is not an object
[CustomizeMode] no toolbarItem child for toolbarpaletteitem#wrapper-downloads-indicator


(P2 because the breakage is pretty dire)</Description></bugID>